Subject: AW: [Geopriv] [FW: draft-anjum-pana-location-requirements-00.txt]

From: "Tschofenig, Hannes" <[email-masked]>
Date: Fri, 10 Mar 2006 19:03:58 +0100

Hi James, 

I think it is good to highlight that we always carry privacy policies along with location information (as part of a Location Object). 

Regarding "location verification": Privacy policies always travel with location information.

The PIDF-LO is not mentioned in the document. That's true. Maybe it should?!

I think it is a nice idea to provide privacy policies to the access network even if you do not provide location information to it. It might also be reasonable for the network to disclose its privacy policies to the end host / user. This was also discussed in the context of network selection where network entities (such as access points) distribute information, such as a network identifier.

Ciao
Hannes

> -----Ursprüngliche Nachricht-----
> Von: James M. Polk [mailto:[email-masked]] 
> Gesendet: Freitag, 3. März 2006 21:46
> An: Yoshihiro Ohba; [email-masked]
> Betreff: Re: [Geopriv] [FW: 
> draft-anjum-pana-location-requirements-00.txt]
> 
> Yoshihiro
> 
> I do not read any requirements for maintaining a user's 
> policy for their 
> location retention limitations and whether or not this 
> location information 
> can be distributed beyond the destination node.
> 
> Very early in the ID it is mentioned that the EP may or may 
> not do the 
> location verification, and that this may need to have the location 
> information sent to a 3rd party.  I can't help but assume 
> that the client's 
> identity is included in all this - because one of the use 
> cases given is 
> that I am only able to access something when I am located 
> near a certain 
> location.  This means I have to reveal who I am with my 
> location in order 
> to do what this ID is getting at.
> 
> I have a problem with that.
> 
> Section 4.1 mentions RFC 3693 as a passing reference and 
> doesn't mention 
> the goal of a PIDF-LO as being a privacy container of 
> location.  I fear 
> PANA is attempting to get around this limitation on location 
> conveyance 
> either actively or passively.
> 
> Can one of the authors explain this to the Geopriv community?
> 
> At 02:26 PM 3/3/2006 -0500, Yoshihiro Ohba wrote:
> >FYI.
> >
> >-----Original Message-----
> >From: Anjum, Farooq
> >Sent: Thursday, March 02, 2006 9:48 PM
> >To: [email-masked]'
> >Subject: draft-anjum-pana-location-requirements-00.txt
> >
> >
> >
> >Hello everyone
> >
> >  We have submitted a new draft on requirements to extend 
> PANA to allow
> >for transfer of location information from the PaC to the 
> PAA. This can
> >make possible services such as location based 
> authorizataion. This might
> >show up in the ID repository in a while.
> >
> >
> >
> >It is also available at
> >http://www.opendiameter.org/draft-anjum-pana-location-require
ments-00.txt .
> >
> >
> >
> >Look forward to your comments on this.
> >
> >farooq
> >
> >
> >
> >
> >----- End forwarded message -----
> >
> >_______________________________________________
> >Geopriv mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/geopriv
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv